#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 43. Audio Utilities

- Prev

  kwave-25.12.2

- Next

  mpg123-1.33.5

- Up
- Home

# LAME-3.100

## Introduction to LAME

The LAME package contains an MP3 encoder and optionally, an MP3 frame analyzer. This is useful for creating and analyzing compressed audio files.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/lame/lame-3.100.tar.gz

- Download MD5 sum: 83e260acbe4389b54fe08e0bdbf7cddb

- Download size: 1.5 MB

- Estimated disk space required: 9.7 MB

- Estimated build time: 0.1 SBU

### LAME Dependencies

#### Optional

Dmalloc, Electric Fence, libsndfile-1.2.2 and NASM-3.01

Editor Notes: https://wiki.linuxfromscratch.org/blfs/wiki/lame

## Installation of LAME

Prevent the source code directory from being mistakenly hardcoded as a shared library search path in the installed programs:

    sed -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure

Install LAME by running the following commands:

    ./configure --prefix=/usr --enable-mp3rtp --disable-static &&
    make

To test the results, issue: LD_LIBRARY_PATH=libmp3lame/.libs make test.

Now, as the `root` user:

    make pkghtmldir=/usr/share/doc/lame-3.100 install

## Command Explanations

`--enable-mp3rtp`: This switch enables building the encode-to-RTP program.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-nasm`: This option enables the use of NASM-3.01 to compile optimized assembly routines for 32-bit x86. Note that this has no effect on x86_64.

## Contents

Installed Programs: lame and mp3rtp
Installed Library: libmp3lame.so
Installed Directories: /usr/include/lame and /usr/share/doc/lame-3.100

### Short Descriptions

lame | creates MP3 audio files from raw PCM or `.wav` data
mp3rtp | is used to encode MP3 with RTP streaming of the output
`libmp3lame.so` | provides the functions necessary to convert raw PCM and WAV files to MP3 files

- Prev

  kwave-25.12.2

- Next

  mpg123-1.33.5

- Up
- Home